html {
    scroll-behavior: smooth;
}

body {
               background: linear-gradient(-45deg, #FFFAFA, #F5F5F5, #FDF5E6,#F0FFF0,#FFFAFA);
               background-size: 400% 400%;
               animation: gradient 15s ease infinite;
               height: 300vh;

    }
    @keyframes gradient {
        0% {
            background-position: 0% 50%;
        }
        50% {
            background-position: 100% 50%;
        }
        100% {
            background-position: 0% 50%;
        }
    }
    h1 {
        color:#333333;
        text-align: center;
        font-size : 40px;
       font-family: 'Ubuntu', sans-serif;
    }

     h2 {
            color: blue;
            text-align: center;
            font-size : 25px;
        }

    h3{
                color: black;
                text-align: center;
                font-size : 25px;
                height: 35px;
                font-family: 'Ubuntu', sans-serif;
                margin-top : -1%;

          }

    h4{
            background: transparent;
                        margin-bottom: 1em;
                        color: black;
                        font-size: 25px;
                        font-weight: bold;
                        margin-top : 5%;
                        font-family: 'Ubuntu', sans-serif;
                        transition: all 0.2s ease-in-out;
                        text-shadow: 1px 1px 2px rgba(0,0,0,0.2);

      }

       h5{
               color:#333333;
                text-align: center;
                margin-top: 15%;
                margin-left: 3%;
                   font-size : 40px;
                   font-family: 'Ubuntu', sans-serif;

            }

    .logo{
            color: black;
            text-align: center;
            font-size : 25px;
            font-family: 'Ubuntu', sans-serif;
            margin-left: 39%;
    }

    #config{
        border-radius: 10px;
        padding: 20px;
        width: 100%;
        margin-top: 30%;
        min-height: 540px;
        margin-bottom: 2%;
    }

     #fields{
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
              padding: 16px;
              text-align: center;
              background-color: white;
              margin-left:-30%;
              margin-right:10%;
              margin-top:-27%;
              radius:20px;
        }


    #upload{
        margin-left: 20%;
    }


    #error_msgs_list{
        font-family: 'Ubuntu', sans-serif;
        font-size: medium;
        background: grey;
    }

    #error-msgs{
        width: 50%;
        border-radius: 3px;
        padding: 20px;
        margin-left: 25%;
        margin-top: -5%;
        min-height: 600px;
    }

    .custom-file-input {
        border: 1px solid #999;
        border-radius: 3px;
        padding: 5px 8px;
        text-shadow: 1px 1px #fff;
        font-weight: 1000;
        font-size: 10pt;
        width: 180px;
    }

    input[type=text], select {
        width: 120px;
        font-size: 14px;
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #696969;
        border-radius: 7px;
        box-sizing: border-box;
        margin-left: 1%;
        height: 40px;
    }

    input[type=number], select {
            width: 195px;
            padding: 2px 2px 2px 2px;
            margin: 7px 0;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 7px;
            box-sizing: border-box;
            margin-left: 4%;
        }

    label {
            background: transparent;
            padding-right: 5px;
            margin-bottom: 1em;
            color: #696969;
            font-size: 20px;
            font-weight: bold;
            margin-top : 5%;
            font-family: 'Ubuntu', sans-serif;
            transition: all 0.2s ease-in-out;
            text-shadow: 1px 1px 2px rgba(0,0,0,0.2);
    }

    p{
                color: #333333;
                font-size: 20px;
                font-weight: bold;
                font-family: 'Ubuntu', sans-serif;
                transition: all 0.2s ease-in-out;
                text-shadow: 1px 1px 2px rgba(0,0,0,0.2);}

    button {
        background-color: #3498db;
        border: none;
        color: #003399;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
        -webkit-transition-duration: 0.4s; /* Safari */
        transition-duration: 0.4s;
    }

    #uploadCSV{
        background-color: #333333; /* Green */
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 20px;
        font-family: 'Ubuntu', sans-serif;
        margin: 4px 2px;
        cursor: pointer;
        -webkit-transition-duration: 0.4s; /* Safari */
        transition-duration: 0.4s;
        margin-left:-25%;
        border-color: black;
        box-sizing: border-box;
        height: 50px;
    }

    #view-errors{
    border: 1px solid #ccc;
 border-radius: 7px;
 background: #333333;
             font-family: 'Ubuntu', sans-serif;
            color: white;
            padding: 15px 30px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 25px;
            margin: 4px 2px;
            cursor: pointer;
            -webkit-transition-duration: 0.4s; /* Safari */
            transition-duration: 0.4s;
            margin-left:46%;
            margin-right:7%;
    }

    button:hover {
        box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
    }

    input[type=submit] {
        width: 100%;
        background-color: #4CAF50;
        color: black;
        padding: 14px 20px;
        margin: 8px 0;
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }

    input[type=submit]:hover {
        background-color: #45a049;
    }


.header{
    background-color: white;
    z-index: 10;
    position: fixed;
    top: 0;
    left: 0;
    height: 70px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}



.upload {
  padding: 0;
  background-color:#8c8c8c; ;
  height: 10%;
  -webkit-border-radius: 30px;
  -webkit-background-clip: padding-box;
  -moz-border-radius: 20px;
  -moz-background-clip: padding;
  border-radius: 6px;
  background-clip: padding-box;
  padding: 20px 20px;
  margin-right: 20%;
  margin-left: -4%;
  color: white;
  font: bold;
  cursor: pointer;
  font-weight: 800;
  font-family: 'Ubuntu', sans-serif;
}
.card{
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  padding: 16px;
  text-align: center;
  background-color: white;

}

.column {
  width: 50%;
  padding: 0 10px;
}

/* Remove extra left and right margins, due to padding */
.row {
margin-left: 34%;
margin-top: 20%;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive columns */
@media screen and (max-width: 600px) {
  .column {
    width: 100%;
    display: block;
    margin-bottom: 20px;
  }
}

.card-panel{
font-family: 'Ubuntu', sans-serif;
border-radius: 20px;
            margin-left:-60%;
            padding: 40px;
            margin-top: -20%;
            width: 1000px;
            min-height: 100px;
            overflow: hidden;
            opacity: 80%;
            background: #FFFFF0;
            text-shadow: 2px 2px 4px rgba(0,0,0,0.2);
}

@import url('//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');

.success-msg {
  margin: 10px 0;
  padding: 10px;
  box-sizing: border-box;
   border: 3px solid #969696;
  border-color: black;
  color: black;
  margin-left: 2%;
}

.switch {
  position: relative;
  display: inline-block;
  width: 20px;
  height: 30px;
  margin-top:5%;
  margin-right:4%;
  margin-left:-12%;

}

.switch input {
  opacity: 0;
  width: 4;
  height: 0;
}

.chooseFile {
    margin-left: -200%;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width:300%;
  margin-left:-260%;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  font-size:16px;
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 24px;
}

.slider.round:before {
  border-radius: 50%;
}

/* The popup form - hidden by default */
.form-popup  {
    width:50%;
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    height: 30%; /* Full height */
    overflow-block: auto; /* Enable scroll if needed */
    margin-top: 10%;
    margin-left : 25%;
    opacity: 1;
}

/* Add styles to the form container */
.form-container {
    padding: 10px;
    background-color: white;
}

/* Full-width input fields */
.form-container input[type=text]:focus, .form-container input[type=password] {
    width: 100%;
    padding: 15px;
    border: none;
    background: #f1f1f1;
}

/* When the inputs get focus, do something */
.form-container input[type=text]:focus, .form-container input[type=password]:focus {
    background-color: #ddd;
    outline: none;
}

/* Set a style for the submit/login button */
.form-container .btn {
    background-color: #04AA6D;
    color: white;
    border: none;
    cursor: pointer;
    margin-bottom:10px;
    opacity: 0.8;
    border-radius: 10px;
    margin-left: 8px;
}

/* Add a red background color to the cancel button */
.form-container .cancel {
    background-color: red;
}
/* Add some hover effects to buttons */
.form-container .btn:hover, .open-button:hover {
    opacity: 1;
}

textarea {
    overflow-y: scroll;
    height: 150px;
    resize: none; /* Remove this if you want the user to resize the textarea */
    width: 50%;
    padding: 15px;
    margin: 5px 0 22px 0;
    margin-left: 8px;
    border: none;
    background: #f1f1f1;
    border-radius: 10px;

}

#list {
    font-family: "Bodoni";
    font-size: 20px;
}

#outer
{
    width:100%;
}
.inner
{
    display: inline-block;
}